#include <iostream>
#include <list>
#include <iterator>

int main()
{
    int n, k;
    std::cin >> n >> k;

    std::list<int> karte;

    for (int i = 0; i < n; ++i) {
        int temp;
        std::cin >> temp;
        karte.push_back(temp);
    }


    for (std::list <int>::iterator i = karte.begin(); i != karte.end(); ++i) {
        if (*i == k) {
            if (++i != karte.end()) std::cout << *i;
            else std::cout << karte.front();
            break;
        }
        
    }


}